//
//  MSExampleDetailTableViewController.swift
//  MeridianSwiftSamples
//
//  Created by Stephen Kelly on 5/18/17.
//  Copyright © 2017 Aruba Networks. All rights reserved.
//

import UIKit

class MSExampleDetailTableViewController: UITableViewController {
    @IBOutlet weak var exampleDetails: UILabel!
    var exampleController: AnyClass? // set by parent

    override func viewDidLoad() {
        super.viewDidLoad()
        if let exampleProtocol = exampleController as? MSExampleViewController.Type {
            self.title = exampleProtocol.exampleTitle()
            self.exampleDetails.text = exampleProtocol.exampleDetail()
            self.exampleDetails.sizeToFit()
        }
    }

    // MARK: - Table view data source

    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 1
    }

    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "Title", for: indexPath)
        if let exampleProtocol = exampleController as? MSExampleViewController.Type {
            cell.textLabel?.text = exampleProtocol.exampleTitle()
        }
        cell.accessoryType = .disclosureIndicator
        return cell
    }

    override func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        if let controllerClass = exampleController as? UIViewController.Type {
            let viewController = controllerClass.init()
            self.navigationController?.pushViewController(viewController, animated: true)
            viewController.edgesForExtendedLayout = [] // Ensure nothing's obscured by the title bar
        }
    }
}
