Meridian SDK for iOS
====================

This SDK package will assist you in embedding Meridian's maps and directions features into your own iOS apps. You create your location-based data and maps at http://edit.meridianapps.com then use this SDK to display them in your app. The SDK provides all the necessary functionality of downloading the relevant location data and presenting the UI for maps & wayfinding.


What's In The Box?
==================

- README.md: this file!
- Meridian.framework: The iOS framework you'll be linking against.
- Meridian.bundle: Various images required by the SDK.
- MeridianSamples: An Xcode project demonstrating a simple app that uses the SDK.


Using the SDK in an existing app
================================

Adding a 3rd party library to an Xcode iOS project can be tricky. We've tried to make it as simple as possible by bundling the SDK code into a universal "Framework".

In short, here are the steps you'll need to take:

1. Drag `Meridian.framework` into the Frameworks group in your Xcode project.

2. Drag `Meridian.bundle` into the Resources group in your Xcode project.

3. Ensure that your app links against these system frameworks:

 - Foundation.framework
 - UIKit.framework
 - CoreLocation.framework
 - SystemConfiguration.framework
 - MobileCoreServices.framework
 - libxml2.2.dylib

4. In your relevant source files, add the line `#import <Meridian/Meridian.h>` to access the Meridian classes.

You can examine the MeridianSamples project to see what the finished project structure should look like.

Size of the Meridian SDK
========================

The Meridian SDK consists of a combination of resource assets (like images) contained in `Meridian.bundle` and compiled source code contained in `Meridian.framework`. Adding these items to your project will increase the size of your app. If you are concerned about the size of your app growing too large, here are some options for trimming it down:

  - Inspect the `Meridian.bundle` and remove any assets that your application does not use.
  
  - If your project contains the `-ObjC` or `-all_load` linker flags, your final binary size may be larger than is necessary. These flags are typically suggested as workarounds for problems with static libraries, such as internal use of category methods. While these flags may be required for other 3rd-party libraries you use, they are not required for Meridian. Without these flags, the linker will include only the parts of Meridian that your code actually references.
  
  Removing `-ObjC` and `-all_load` may break other libraries however. If this is the case, you can selectively enable the alternate `-force_load` flag for each library that requires it. See [this StackOverflow answer](http://stackoverflow.com/a/10851294/66673) for more information.

Questions, Help, etc.
=====================

More documentation and code snippets can be found on the our [site](http://docs.meridianapps.com/developers/sdk_downloads).

Please email any support requests, comments, and concerns to [developers@meridianapps.com](mailto:developers@meridianapps.com).

Thanks so much for using Meridian!
